MojoMojo::Formatter::Main(3)

NAME
MojoMojo::Formatter::Main - MojoMojo's main formatter, dispatching between Textile and MultiMarkdown

DESCRIPTION
This is the main MojoMojo formatter, which transforms lightweight plain text markup into XHTML. It reads the site preference main_formatter and calls the corresponding formatter, either Text::Textile, or Text::MultiMarkdown.

METHODS

  format_content_order
Format order can be 1-99. The main formatter runs on 15.

  format_content
Calls the formatter. Takes a ref to the content as well as the context object. The latter is needed in order to determine the main formatter via a call to "$c->pref('main_formatter')".

SEE ALSO
MojoMojo, Module::Pluggable::Ordered, Text::Textile

AUTHORS
Marcus Ramberg <mramberg@cpan.org>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.